/*******************************************************************************
* File Name: BREAKPIN.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BREAKPIN_H) /* Pins BREAKPIN_H */
#define CY_PINS_BREAKPIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "BREAKPIN_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 BREAKPIN__PORT == 15 && ((BREAKPIN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    BREAKPIN_Write(uint8 value);
void    BREAKPIN_SetDriveMode(uint8 mode);
uint8   BREAKPIN_ReadDataReg(void);
uint8   BREAKPIN_Read(void);
void    BREAKPIN_SetInterruptMode(uint16 position, uint16 mode);
uint8   BREAKPIN_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the BREAKPIN_SetDriveMode() function.
     *  @{
     */
        #define BREAKPIN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define BREAKPIN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define BREAKPIN_DM_RES_UP          PIN_DM_RES_UP
        #define BREAKPIN_DM_RES_DWN         PIN_DM_RES_DWN
        #define BREAKPIN_DM_OD_LO           PIN_DM_OD_LO
        #define BREAKPIN_DM_OD_HI           PIN_DM_OD_HI
        #define BREAKPIN_DM_STRONG          PIN_DM_STRONG
        #define BREAKPIN_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define BREAKPIN_MASK               BREAKPIN__MASK
#define BREAKPIN_SHIFT              BREAKPIN__SHIFT
#define BREAKPIN_WIDTH              1u

/* Interrupt constants */
#if defined(BREAKPIN__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in BREAKPIN_SetInterruptMode() function.
     *  @{
     */
        #define BREAKPIN_INTR_NONE      (uint16)(0x0000u)
        #define BREAKPIN_INTR_RISING    (uint16)(0x0001u)
        #define BREAKPIN_INTR_FALLING   (uint16)(0x0002u)
        #define BREAKPIN_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define BREAKPIN_INTR_MASK      (0x01u) 
#endif /* (BREAKPIN__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define BREAKPIN_PS                     (* (reg8 *) BREAKPIN__PS)
/* Data Register */
#define BREAKPIN_DR                     (* (reg8 *) BREAKPIN__DR)
/* Port Number */
#define BREAKPIN_PRT_NUM                (* (reg8 *) BREAKPIN__PRT) 
/* Connect to Analog Globals */                                                  
#define BREAKPIN_AG                     (* (reg8 *) BREAKPIN__AG)                       
/* Analog MUX bux enable */
#define BREAKPIN_AMUX                   (* (reg8 *) BREAKPIN__AMUX) 
/* Bidirectional Enable */                                                        
#define BREAKPIN_BIE                    (* (reg8 *) BREAKPIN__BIE)
/* Bit-mask for Aliased Register Access */
#define BREAKPIN_BIT_MASK               (* (reg8 *) BREAKPIN__BIT_MASK)
/* Bypass Enable */
#define BREAKPIN_BYP                    (* (reg8 *) BREAKPIN__BYP)
/* Port wide control signals */                                                   
#define BREAKPIN_CTL                    (* (reg8 *) BREAKPIN__CTL)
/* Drive Modes */
#define BREAKPIN_DM0                    (* (reg8 *) BREAKPIN__DM0) 
#define BREAKPIN_DM1                    (* (reg8 *) BREAKPIN__DM1)
#define BREAKPIN_DM2                    (* (reg8 *) BREAKPIN__DM2) 
/* Input Buffer Disable Override */
#define BREAKPIN_INP_DIS                (* (reg8 *) BREAKPIN__INP_DIS)
/* LCD Common or Segment Drive */
#define BREAKPIN_LCD_COM_SEG            (* (reg8 *) BREAKPIN__LCD_COM_SEG)
/* Enable Segment LCD */
#define BREAKPIN_LCD_EN                 (* (reg8 *) BREAKPIN__LCD_EN)
/* Slew Rate Control */
#define BREAKPIN_SLW                    (* (reg8 *) BREAKPIN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define BREAKPIN_PRTDSI__CAPS_SEL       (* (reg8 *) BREAKPIN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define BREAKPIN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) BREAKPIN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define BREAKPIN_PRTDSI__OE_SEL0        (* (reg8 *) BREAKPIN__PRTDSI__OE_SEL0) 
#define BREAKPIN_PRTDSI__OE_SEL1        (* (reg8 *) BREAKPIN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define BREAKPIN_PRTDSI__OUT_SEL0       (* (reg8 *) BREAKPIN__PRTDSI__OUT_SEL0) 
#define BREAKPIN_PRTDSI__OUT_SEL1       (* (reg8 *) BREAKPIN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define BREAKPIN_PRTDSI__SYNC_OUT       (* (reg8 *) BREAKPIN__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(BREAKPIN__SIO_CFG)
    #define BREAKPIN_SIO_HYST_EN        (* (reg8 *) BREAKPIN__SIO_HYST_EN)
    #define BREAKPIN_SIO_REG_HIFREQ     (* (reg8 *) BREAKPIN__SIO_REG_HIFREQ)
    #define BREAKPIN_SIO_CFG            (* (reg8 *) BREAKPIN__SIO_CFG)
    #define BREAKPIN_SIO_DIFF           (* (reg8 *) BREAKPIN__SIO_DIFF)
#endif /* (BREAKPIN__SIO_CFG) */

/* Interrupt Registers */
#if defined(BREAKPIN__INTSTAT)
    #define BREAKPIN_INTSTAT            (* (reg8 *) BREAKPIN__INTSTAT)
    #define BREAKPIN_SNAP               (* (reg8 *) BREAKPIN__SNAP)
    
	#define BREAKPIN_0_INTTYPE_REG 		(* (reg8 *) BREAKPIN__0__INTTYPE)
#endif /* (BREAKPIN__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_BREAKPIN_H */


/* [] END OF FILE */
