/*******************************************************************************
* File Name: LEDBLAU.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LEDBLAU_H) /* Pins LEDBLAU_H */
#define CY_PINS_LEDBLAU_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LEDBLAU_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 LEDBLAU__PORT == 15 && ((LEDBLAU__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    LEDBLAU_Write(uint8 value);
void    LEDBLAU_SetDriveMode(uint8 mode);
uint8   LEDBLAU_ReadDataReg(void);
uint8   LEDBLAU_Read(void);
void    LEDBLAU_SetInterruptMode(uint16 position, uint16 mode);
uint8   LEDBLAU_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the LEDBLAU_SetDriveMode() function.
     *  @{
     */
        #define LEDBLAU_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define LEDBLAU_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define LEDBLAU_DM_RES_UP          PIN_DM_RES_UP
        #define LEDBLAU_DM_RES_DWN         PIN_DM_RES_DWN
        #define LEDBLAU_DM_OD_LO           PIN_DM_OD_LO
        #define LEDBLAU_DM_OD_HI           PIN_DM_OD_HI
        #define LEDBLAU_DM_STRONG          PIN_DM_STRONG
        #define LEDBLAU_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define LEDBLAU_MASK               LEDBLAU__MASK
#define LEDBLAU_SHIFT              LEDBLAU__SHIFT
#define LEDBLAU_WIDTH              1u

/* Interrupt constants */
#if defined(LEDBLAU__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in LEDBLAU_SetInterruptMode() function.
     *  @{
     */
        #define LEDBLAU_INTR_NONE      (uint16)(0x0000u)
        #define LEDBLAU_INTR_RISING    (uint16)(0x0001u)
        #define LEDBLAU_INTR_FALLING   (uint16)(0x0002u)
        #define LEDBLAU_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define LEDBLAU_INTR_MASK      (0x01u) 
#endif /* (LEDBLAU__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LEDBLAU_PS                     (* (reg8 *) LEDBLAU__PS)
/* Data Register */
#define LEDBLAU_DR                     (* (reg8 *) LEDBLAU__DR)
/* Port Number */
#define LEDBLAU_PRT_NUM                (* (reg8 *) LEDBLAU__PRT) 
/* Connect to Analog Globals */                                                  
#define LEDBLAU_AG                     (* (reg8 *) LEDBLAU__AG)                       
/* Analog MUX bux enable */
#define LEDBLAU_AMUX                   (* (reg8 *) LEDBLAU__AMUX) 
/* Bidirectional Enable */                                                        
#define LEDBLAU_BIE                    (* (reg8 *) LEDBLAU__BIE)
/* Bit-mask for Aliased Register Access */
#define LEDBLAU_BIT_MASK               (* (reg8 *) LEDBLAU__BIT_MASK)
/* Bypass Enable */
#define LEDBLAU_BYP                    (* (reg8 *) LEDBLAU__BYP)
/* Port wide control signals */                                                   
#define LEDBLAU_CTL                    (* (reg8 *) LEDBLAU__CTL)
/* Drive Modes */
#define LEDBLAU_DM0                    (* (reg8 *) LEDBLAU__DM0) 
#define LEDBLAU_DM1                    (* (reg8 *) LEDBLAU__DM1)
#define LEDBLAU_DM2                    (* (reg8 *) LEDBLAU__DM2) 
/* Input Buffer Disable Override */
#define LEDBLAU_INP_DIS                (* (reg8 *) LEDBLAU__INP_DIS)
/* LCD Common or Segment Drive */
#define LEDBLAU_LCD_COM_SEG            (* (reg8 *) LEDBLAU__LCD_COM_SEG)
/* Enable Segment LCD */
#define LEDBLAU_LCD_EN                 (* (reg8 *) LEDBLAU__LCD_EN)
/* Slew Rate Control */
#define LEDBLAU_SLW                    (* (reg8 *) LEDBLAU__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LEDBLAU_PRTDSI__CAPS_SEL       (* (reg8 *) LEDBLAU__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LEDBLAU_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LEDBLAU__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LEDBLAU_PRTDSI__OE_SEL0        (* (reg8 *) LEDBLAU__PRTDSI__OE_SEL0) 
#define LEDBLAU_PRTDSI__OE_SEL1        (* (reg8 *) LEDBLAU__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LEDBLAU_PRTDSI__OUT_SEL0       (* (reg8 *) LEDBLAU__PRTDSI__OUT_SEL0) 
#define LEDBLAU_PRTDSI__OUT_SEL1       (* (reg8 *) LEDBLAU__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LEDBLAU_PRTDSI__SYNC_OUT       (* (reg8 *) LEDBLAU__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(LEDBLAU__SIO_CFG)
    #define LEDBLAU_SIO_HYST_EN        (* (reg8 *) LEDBLAU__SIO_HYST_EN)
    #define LEDBLAU_SIO_REG_HIFREQ     (* (reg8 *) LEDBLAU__SIO_REG_HIFREQ)
    #define LEDBLAU_SIO_CFG            (* (reg8 *) LEDBLAU__SIO_CFG)
    #define LEDBLAU_SIO_DIFF           (* (reg8 *) LEDBLAU__SIO_DIFF)
#endif /* (LEDBLAU__SIO_CFG) */

/* Interrupt Registers */
#if defined(LEDBLAU__INTSTAT)
    #define LEDBLAU_INTSTAT            (* (reg8 *) LEDBLAU__INTSTAT)
    #define LEDBLAU_SNAP               (* (reg8 *) LEDBLAU__SNAP)
    
	#define LEDBLAU_0_INTTYPE_REG 		(* (reg8 *) LEDBLAU__0__INTTYPE)
#endif /* (LEDBLAU__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_LEDBLAU_H */


/* [] END OF FILE */
