/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

uint8 DMXIn1[513];
uint8 DMXIn2[513];
uint8 DMXIn3[513];
uint8 DMXOut[513];

int DMX1Pointer = 0;
int DMX2Pointer = 0;
int DMX3Pointer = 0;
int DMXoutPointer = 0;

#define ChannelsToSend 512

CY_ISR(ISR_DMX1)
{
    // Check for break
    if((UART_1_ReadRxStatus() & UART_1_RX_STS_BREAK) != 0)
    {
        DMX1Pointer = 0;
        DMXIn1[DMX1Pointer] = UART_1_ReadRxData();
    }
    else
    {
        DMXIn1[DMX1Pointer] = UART_1_ReadRxData();
        DMX1Pointer++;
    }
}
CY_ISR(ISR_DMX2)
{
    // Check for break
    if((UART_2_ReadRxStatus() & UART_2_RX_STS_BREAK) != 0)
    {
        DMX2Pointer = 0;
        DMXIn2[DMX2Pointer] = UART_2_ReadRxData();
    }
    else
    {
        DMXIn2[DMX2Pointer] = UART_2_ReadRxData();
        DMX2Pointer++;
    }    
}
CY_ISR(ISR_DMX3)
{
    // Check for break
    if((UART_3_ReadRxStatus() & UART_3_RX_STS_BREAK) != 0)
    {
        DMX3Pointer = 0;
        DMXIn3[DMX3Pointer] = UART_3_ReadRxData();
    }
    else
    {
        DMXIn3[DMX3Pointer] = UART_3_ReadRxData();
        DMX3Pointer++;
    } 
}
CY_ISR(ISR_DMXout)
{
    if(DMXoutPointer>ChannelsToSend)
    {
        BREAKPIN_Write(0);
        CyDelayUs(88);
        BREAKPIN_Write(1);
        CyDelayUs(8);
        DMXoutPointer=0;
        UARTOUT_PutChar(DMXOut[DMXoutPointer]);
        DMXoutPointer++;
    }
    else
    {
        UARTOUT_PutChar(DMXOut[DMXoutPointer]);
        DMXoutPointer++;
    }
}

int main(void)
{
    int i=0;

    isr_1_StartEx(ISR_DMX1);
    isr_2_StartEx(ISR_DMX2);
    isr_3_StartEx(ISR_DMX3);
    isr_4_StartEx(ISR_DMXout);
    CyGlobalIntEnable; /* Enable global interrupts. */
    UART_1_Start();
    UART_2_Start();
    UART_3_Start();
    UARTOUT_Start();

    DMXoutPointer=0;
    UARTOUT_PutChar(DMXOut[DMXoutPointer]);
    
    for(;;)
    {
        for(i=0;i<(ChannelsToSend+1);i++)
		{
            DMXOut[i] = (DMXIn1[i]*DMXIn1[48] + DMXIn2[i]*(255-DMXIn1[48]))/255;
		}
    }
}

/* [] END OF FILE */
